<?php

namespace app\money\admin;

use app\admin\controller\Admin;
use app\common\builder\ZBuilder;
use app\money\model\EsopPlan as EsopPlanModel;
use app\money\model\EsopPlanRecord as EsopPlanRecordModel;
use app\member\model\Member as MemberModel;
use app\stock\model\StockList as StockListModel;
use Exception;
use think\Db;
use think\Hook;
use think\Cache;

/**
 * 期权计划管理控制器
 * @package app\money\admin
 */
class EsopplanRecord extends Admin
{
    /**
     * 首页
     * @return mixed
     */
    public function index()
    {
        cookie('__forward__', $_SERVER['REQUEST_URI']);
        // 获取查询条件
        $map = $this->getMap();
        $order = $this->getOrder();
        empty($order) && $order = 'id desc';
        // 数据列表
        $data_list = EsopPlanRecordModel::getAll($map, $order);
        // 分页数据 
        $page = $data_list->render();

        if (empty($_SERVER["QUERY_STRING"])) {
            $excel_url = substr(http() . $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"], 0, -5) . "_export";
        } else {
            $excel_url = substr(http() . $_SERVER["SERVER_NAME"] . $_SERVER["PHP_SELF"], 0, -5) . "_export?" . $_SERVER["QUERY_STRING"];
        }
        $btn_excel = [
            'title' => '导出EXCEL表',
            'icon'  => 'fa fa-fw fa-download',
            'href'  => url($excel_url, '', '')
        ];

        return ZBuilder::make('table')
            ->setSearch(['mid' => '用户ID', 'member.name' => '姓名', 'member.mobile' => '手机号']) // 设置搜索框
            ->addColumns([ // 批量添加数据列
                ['id', 'ID'],
                ['esop_plan_id', '期权计划id'],
                ['name', '姓名'],
                ['title', '股票'],
                ['affect', '金额'],
                ['surplus', '余额'],
                ['type', '类型'],
                ['info', '详情'],
                ['create_ip', '创建IP'],
                ['create_time', '创建时间', 'datetime'],
            ])
            ->hideCheckbox()
            ->setTableName('esop_plan')
            ->addTopButton('custem', $btn_excel)
            ->addOrder('id,create_time')
            ->setRowList($data_list)
            ->fetch(); // 渲染模板
    }
    
    
}
